@echo off
rem OPTION Will update, the EQ2Emu World DB. 1 for on, anything else for off.
rem Variables and Data
SET NAME=ZekLabs.com
TITLE %NAME%
COLOR 0E

rem start of the menu loop. exit after user input proccessed.
:menu
echo [ EQ2EMu Zeklabs Build Options ]
echo 1) Update SQL.
echo 2) Update LUA.
echo 3) Update EXEs.
echo 4) Update MAPs.
echo 5) Update Startup Script.
echo 6) Full Rebuild (update DB/LUA/SQL/MAPS after delete. This will take a long time).

echo x) Exit.

set /p option=What would you like to do? 

rem Parse User input.
if /I "%OPTION%" EQU "1" echo [Checking for SQL Updates]
if /I "%OPTION%" EQU "1" wget -q -N https://zeklabs.com/dl/eq2emudb.rar
if /I "%OPTION%" EQU "1" unrar x -y -inul eq2emudb.rar
if /I "%OPTION%" EQU "1" echo [Completed SQL Updates]

if /I "%OPTION%" EQU "2" echo [Checking for LUA Updates]
if /I "%OPTION%" EQU "2" echo [This will take a moment due to number of files]
if /I "%OPTION%" EQU "2" cd server
if /I "%OPTION%" EQU "2" wget -q -N https://zeklabs.com/dl/eq2emulua.rar
if /I "%OPTION%" EQU "2" ..\unrar x -y -inul eq2emulua.rar
if /I "%OPTION%" EQU "2" del eq2emulua.rar
if /I "%OPTION%" EQU "2" echo [Completed LUA Updates]
if /I "%OPTION%" EQU "2" cd ..

if /I "%OPTION%" EQU "3" echo [Checking for EXE Updates]
if /I "%OPTION%" EQU "3" cd server
if /I "%OPTION%" EQU "3" wget -q -nc http://cutpon.com:3000/devn00b/EQ2EMu/raw/master/server/EQ2Login__Debug64.exe
if /I "%OPTION%" EQU "3" wget -q -nc http://cutpon.com:3000/devn00b/EQ2EMu/raw/master/server/ EQ2World__Debug_x64.exe
if /I "%OPTION%" EQU "3" echo [Completed EXE Updates]
if /I "%OPTION%" EQU "3" cd ..

if /I "%OPTION%" EQU "4" echo [Checking for MAP Updates]
if /I "%OPTION%" EQU "4" echo [This will take a moment due to LARGE map size]
if /I "%OPTION%" EQU "4" cd server
if /I "%OPTION%" EQU "4" ..\wget -q -N --show-progress --progress=bar:force:noscroll https://zeklabs.com/dl/eq2emumaps.rar
if /I "%OPTION%" EQU "4" echo [Begining Extraction of MAPs]
if /I "%OPTION%" EQU "4" ..\unrar x -y -inul eq2emumaps.rar
if /I "%OPTION%" EQU "4" del eq2emumaps.rar
if /I "%OPTION%" EQU "4" echo [Completed MAP Updates]
if /I "%OPTION%" EQU "4" cd ..\

if /I "%OPTION%" EQU "5" echo [Updating Startup Script]
if /I "%OPTION%" EQU "5" del /f /q "LAUNCH EQ2EMU.bat"
if /I "%OPTION%" EQU "5" wget -q "https://zeklabs.com/dl/LAUNCH EQ2EMU.rar"
if /I "%OPTION%" EQU "5" unrar x -y -inul"LAUNCH EQ2EMU.rar"
if /I "%OPTION%" EQU "5" del /f /q "LAUNCH EQ2EMU.rar"
if /I "%OPTION%" EQU "5" echo [Updated Startup Script]

if /I "%OPTION%" EQU "6" echo [Starting the reset script]
if /I "%OPTION%" EQU "6" cd options
if /I "%OPTION%" EQU "6" start reset.bat


rem exit script
if /I "%OPTION%" EQU "x" goto:eof

rem User input complete actions completed or are running in another window lets return to the menu for more options
goto menu
rem start srvls.bat
rem start srvwrld.bat

exit